Name: avant-window-navigator
Version: 0.4.1
Release: alt1

Summary: Avant Window Navigator
Group: Graphical desktop/Other
License: GPL
URL: https://launchpad.net/awn

Source: %name-%version.tar.gz

Requires: GConf libawn = %version-%release

BuildRequires: GConf libGConf-devel gtk-doc intltool libXcomposite-devel libXext-devel
BuildRequires: libdbus-glib-devel libdesktop-agnostic-devel libgtop-devel libwnck-devel
BuildRequires: python-module-pycairo-devel python-module-pygtk-devel python-module-pyxdg vala

%description
Avant Window Navigator is a dock-like bar which sits at the bottom of
your screen, allowing you to launch and control applications. It also
has the ability to embed external applets. The look and feel are fully
customizable, and theming support is also available.

%package -n libawn
Summary: AWN library
Group: System/Libraries

%description -n libawn
Avant Window Navigator is a dock-like bar which sits at the bottom of
your screen, allowing you to launch and control applications. It also
has the ability to embed external applets. The look and feel are fully
customizable, and theming support is also available.

This package provides shared AWN library required for Avant Window Navigator to work.

%package -n libawn-devel
Summary: Development files for AWN library
Group: Development/C
Requires: libawn = %version-%release

%description -n libawn-devel
Avant Window Navigator is a dock-like bar which sits at the bottom of
your screen, allowing you to launch and control applications. It also
has the ability to embed external applets. The look and feel are fully
customizable, and theming support is also available.

This package provides development files for AWN library.

%package -n libawn-devel-doc
Summary: Development documentation for AWN library
Group: Development/C
BuildArch: noarch
Conflicts: libawn-devel < %version

%description -n libawn-devel-doc
Avant Window Navigator is a dock-like bar which sits at the bottom of
your screen, allowing you to launch and control applications. It also
has the ability to embed external applets. The look and feel are fully
customizable, and theming support is also available.

This package provides development documentation for AWN library.


%prep
%setup -q

%build
%configure \
	--disable-static

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%define schemas avant-window-navigator awn-applet-taskmanager awn-applet-simple-launcher

%post
%gconf2_install %schemas

%preun
if [ $1 = 0 ]; then
  %gconf2_uninstall %schemas
fi

%files -f %name.lang
%_bindir/*
%_libdir/awn
%exclude %_libdir/awn/applets/*/*.la
%python_sitelibdir/*
%_datadir/applications/*
%_datadir/avant-window-navigator/
%_datadir/vala/vapi/*
%_datadir/icons/hicolor/*/*/*
%_datadir/pygtk/2.0/defs/awn.defs
%config %_sysconfdir/gconf/schemas/avant-window-navigator.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-taskmanager.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-simple-launcher.schemas
%doc AUTHORS ChangeLog README NEWS

%files -n libawn
%_libdir/*.so.*

%files -n libawn-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%files -n libawn-devel-doc
%_datadir/gtk-doc/html/*

%changelog
* Mon May 02 2011 Yuri N. Sedunov <aris@altlinux.org> 0.4.1-alt1
- build upstream snapshot

* Mon Mar 14 2011 Yuri N. Sedunov <aris@altlinux.org> 0.4.0-alt2
- fixed https://bugs.launchpad.net/awn/+bug/702701 (ALT #25195)

* Wed Apr 14 2010 Yuri N. Sedunov <aris@altlinux.org> 0.4.0-alt1
- 0.4.0
- new libawn and libawn-devel-doc noarch subpackages

* Sat Apr 03 2010 Yuri N. Sedunov <aris@altlinux.org> 0.3.2.1-alt2
- rebuild against libgnome-desktop-2.so.17

* Tue Dec 15 2009 Yuri N. Sedunov <aris@altlinux.org> 0.3.2.1-alt1
- new version

* Wed Mar 25 2009 Igor Zubkov <icesik@altlinux.org> 0.3.2-alt1
- 0.2.6 -> 0.3.2

* Thu Dec 04 2008 Igor Zubkov <icesik@altlinux.org> 0.2.6-alt1
- build for Sisyphus

* Sun Jan 28 2007 Neil J Patel <njpatel@gmail.com>
- Corrected gconf schema installation

* Sun Jan 28 2007 Neil J Patel <njpatel@gmail.com>
- 0.1.0 Release

* Sun Jan 28 2007 Neil J Patel <njpatel@gmail.com>
- Initial build

